wavemon(1)

NAME
wavemon - a wireless network monitor

SYNOPSIS
wavemon [-h] [-i ifname ] [-g] [-v]

DESCRIPTION
wavemon is a ncurses-based monitoring application for wireless network devices. It plots levels in real-time as well as showing wireless and network related device information.

The wavemon interface splits into different "screens". Each screen presents information in a specific manner. For example, the "info" screen shows current levels as bargraphs, whereas the "level" screen represents the same levels as a moving histogram.

On startup, you'll see (depending on configuration) one of the different monitor screens. At the bottom, you'll find a menu-bar listing the screens and their activating keys. Each screen is activated by either the corresponding function key or the key corresponding to the first character of the screen name. The following screens can be selected:

Info (F1 or 'i')
    This is the most comprehensive screen. It displays a condensed overview of wireless-specific parameters and network statistics, as well as bar graphs. The layout is arranged into several sub-sections.

    The Interface section at the top shows information about the monitoring interface, including interface name, type, ESSID, and available encryption formats.

    Below, in the Levels section, you can see up to four bargraphs showing (1) relative signal quality and (2) signal level in dBm. If the wireless driver also supports noise level information, additionally (3) noise level in dBm and (4) Signal-Noise-Ratio (SNR) in dB are shown. The colour of the signal level bargraph changes from red to yellow and green at fixed levels. If thresholds have been set, two arrows on the signal level graph will show the positions of the current thresholds.

    The Statistics section displays packet and byte counters and a few other packet-related statistics.

    The subsequent Info subsection lists the current operational mode and configuration of the wireless interface. What parameters are actually shown depends on the capabilities and selected mode of your network device.

    Lastly, the Network section shows network-level parameters. The MAC-address is resolved from ethers(5). The IPv4 address is shown in CIDR notation (RFC 4632 address/prefix_len format). Since often those two values also determine the broadcast address (last 32 - prefix_len bits set to 1), that address is shown only if it does not derive from the interface address and prefix length. Likewise, the interface MTU is shown only if it differs from the default Ethernet MTU of 1500 bytes.

Level histogram (F2 or 'l')
    This is a full-screen histogram plot showing the evolution of levels with time. The screen is partitioned into a grid, with dBm levels shown in green at the right hand side (depending on configuration). At the very minimum, the evolution of the signal-level is shown. If the wireless driver also supports noise-level information, additionally a noise graph and associated SNR graph appear.

Scan window (F3 or 's')
    A periodically updated network scan, showing access points and other wireless clients. It is sorted depending on sort_order and sort_ascending, see wavemonrc(5). Each entry starts with the ESSID, followed by the colour-coded MAC address and the signal/channel information. A green/red MAC address indicates an (un-)encrypted access point, the colour changes to yellow for non-access points (in this case the mode is shown at the end of the line). The uncoloured information following the MAC address lists relative and absolute signal strengths, channel, frequency, and station-specific information. The station-specific information includes the station type (ESS for Access Point, IBSS for Ad-Hoc network), station count and channel utilisation.

    A status line at the bottom informs about the current sort order and a few statistics, such as most (least) crowded channels (least crowded channels are listed when sorting by descending channel).

    The sort_order can also directly be changed via these keyboard shortcuts: ascending, descending; by essid, signal, channel (C also with signal), mac address, or by open access (O also with signal).

Preferences (F7 or 'p')
    This screen allows you to change all program options such as interface and level scale parameters, and to save the new settings to the configuration file. Select a parameter with <up> and <down>, then change the value with <left> and <right>. Please refer to wavemonrc(5) for an in-depth description of applicable settings.

Help (F8 or 'h')
    This page might show an online-help.

About (F9 or 'a')
    Release information and contact URLs.

Quit (F10 or 'q')
    Exit wavemon.

Note: some operations, such as displaying encryption information or performing scans, require CAP_NET_ADMIN privileges (see capabilities(7)). For non-root users, these can be enabled by installing wavemon setuid-root.

OPTIONS

-i interface
    override autodetection and use the specified interface.

-g  check screen geometry: a minimum size is required for proper display; this flag adds a check to ensure it is sufficiently large. Enable this if window does not display properly.

-h  print help and exit.

-v  print version information and exit.

ENVIRONMENT VARIABLES

LC_NUMERIC
    Influences the grouping of numbers if set. See also locale(1).

FILES

$HOME/.wavemonrc
    The local per-user configuration file.

AUTHOR
Written by Jan Morgenstern <jan@jm-music.de>.

REPORTING BUGS
Send bug reports and/or suggestions to Gerrit Renker <gerrit@erg.abdn.ac.uk>.

COPYRIGHT
This is free software with ABSOLUTELY NO WARRANTY. See file COPYING for details.

SEE ALSO
wavemonrc(5), wireless(7), ethers(5), locale(1), capabilities(7)